You are viewing a plain text version of this content. The canonical link for it is here.
Posted to cvs@httpd.apache.org by yl...@apache.org on 2020/12/11 12:02:56 UTC

svn commit: r1884306 - /httpd/httpd/trunk/test/travis_run_linux.sh

Author: ylavic
Date: Fri Dec 11 12:02:56 2020
New Revision: 1884306

URL: http://svn.apache.org/viewvc?rev=1884306&view=rev
Log:
ci: generate as many core files as there are crashes.

Modified:
    httpd/httpd/trunk/test/travis_run_linux.sh

Modified: httpd/httpd/trunk/test/travis_run_linux.sh
URL: http://svn.apache.org/viewvc/httpd/httpd/trunk/test/travis_run_linux.sh?rev=1884306&r1=1884305&r2=1884306&view=diff
==============================================================================
--- httpd/httpd/trunk/test/travis_run_linux.sh (original)
+++ httpd/httpd/trunk/test/travis_run_linux.sh Fri Dec 11 12:02:56 2020
@@ -89,6 +89,7 @@ if ! test -v SKIP_TESTING; then
     fi
 
     if test -v WITH_TEST_SUITE; then
+        sysctl -w kernel.core_uses_pid=1 2>/dev/null || true
         make check TESTS="${TESTS}" TEST_CONFIG="${TEST_ARGS}"
         RV=$?
     else
@@ -102,7 +103,7 @@ if ! test -v SKIP_TESTING; then
 
     # Skip further testing if a core dump was created during the test
     # suite run above.
-    if test $RV -eq 0 -a -f test/perl-framework/t/core; then
+    if test $RV -eq 0 && ls test/perl-framework/t/core test/perl-framework/t/core.* &>/dev/null; then
         RV=4
     fi            
     
@@ -164,6 +165,10 @@ if ! test -v SKIP_TESTING; then
         gdb -ex 'thread apply all backtrace' -batch ./httpd test/perl-framework/t/core
         RV=5
     fi
+    for core in test/perl-framework/t/core.*; do
+        gdb -ex 'thread apply all backtrace' -batch ./httpd "$core"
+        RV=5
+    done
 
     exit $RV
 fi